org.apache.xmlbeans.impl.xsd2inst

## Class SchemaInstanceGenerator

- java.lang.Object
- - org.apache.xmlbeans.impl.xsd2inst.SchemaInstanceGenerator

-     public class SchemaInstanceGenerator
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SchemaInstanceGenerator.Xsd2InstOptions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaInstanceGenerator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `static void` | `printUsage()`
    `static String` | `xsd2inst(Reader[] schemaReaders, String rootName, SchemaInstanceGenerator.Xsd2InstOptions options)`
    `static String` | `xsd2inst(String[] xsds, String rootName, SchemaInstanceGenerator.Xsd2InstOptions options)`
    `static String` | `xsd2inst(XmlObject[] schemas, String rootName, SchemaInstanceGenerator.Xsd2InstOptions options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaInstanceGenerator

          public SchemaInstanceGenerator()

  - ### Method Detail

    - #### printUsage

          public static void printUsage()

    - #### main

          public static void main(String[] args)

    - #### xsd2inst

          public static String xsd2inst(String[] xsds,
                                        String rootName,
                                        SchemaInstanceGenerator.Xsd2InstOptions options)
                                 throws XmlException,
                                        IOException

      Throws:
        `XmlException`
        `IOException`

    - #### xsd2inst

          public static String xsd2inst(Reader[] schemaReaders,
                                        String rootName,
                                        SchemaInstanceGenerator.Xsd2InstOptions options)

    - #### xsd2inst

          public static String xsd2inst(XmlObject[] schemas,
                                        String rootName,
                                        SchemaInstanceGenerator.Xsd2InstOptions options)